Package com.treemap.javafx.treeplot

# Class JavaFXTreePlot<N,Row,Column>

java.lang.Object
com.treemap.treeplot.AbstractTreePlot<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>
com.treemap.javafx.treeplot.JavaFXTreePlot<N,Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<javafx.scene.Node>`, `TreePlot<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>`

public class JavaFXTreePlot<N,Row,Column> extends AbstractTreePlot<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>

- ## Field Summary

  ### Fields inherited from class com.treemap.treeplot.AbstractTreePlot

  `controller, licenseModel, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXTreePlot()`
  Creates a TreeMap component with default settings and configuration.
  `JavaFXTreePlot(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame)`
  Creates a TreeMap component with the specified Swing TableModel.
  `JavaFXTreePlot(TreeMapModel<N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font> model)`
  Creates a TreeMap component with the its native data model.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected TreePlotController<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>`
  `createController(TreePlotView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font> view)`
  `protected TreePlotModel<N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>`
  `createTreePlotModel(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame)`
  `protected TreePlotModel<N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>`
  `createTreePlotModel(TreeMapModel<N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font> model)`
  `protected TreePlotView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>`
  `createView()`
  `javafx.scene.Node`
  `getNativeComponent()`
  `static void`
  `setLicenseKey(String username, String key)`
  Register the license key that legally entitle the use of TreeMap.
  `void`
  `setStyleClass(String... styleClasses)`

  ### Methods inherited from class com.treemap.treeplot.AbstractTreePlot

  `getController, getModel, getView, setController, setModel, setView`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXTreePlot

    public JavaFXTreePlot()
    Creates a TreeMap component with default settings and configuration.

  - ### JavaFXTreePlot

    public JavaFXTreePlot(TreeMapModel<N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font> model)
    Creates a TreeMap component with the its native data model.
    Parameters:
      `model` - a TreeMapModel

  - ### JavaFXTreePlot

    public JavaFXTreePlot(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame)
    Creates a TreeMap component with the specified Swing TableModel.
    Parameters:
      `dataFrame` - a DataFrame

- ## Method Details

  - ### setLicenseKey

    public static void setLicenseKey(String username, String key)
    Register the license key that legally entitle the use of TreeMap. This should be called prior to the first instantiation of this component.
    Parameters:
      `username` - the user name
      `key` - the license key

  - ### createTreePlotModel

    protected TreePlotModel<N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font> createTreePlotModel(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame)

  - ### createTreePlotModel

    protected TreePlotModel<N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font> createTreePlotModel(TreeMapModel<N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font> model)

  - ### createView

    protected TreePlotView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font> createView()

  - ### createController

    protected TreePlotController<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font> createController(TreePlotView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font> view)

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()